# Get messages on a feature

| **Description** | Retrieves all messages that satisfy the specified criteria.    |
| --------------- | -------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}vector/timestamp/{timestampId}/feature/message` |
| **Method**      | GET                                                            |

### Access Level Rules

| **Minimum Access Level** | view+ |
| ------------------------ | ----- |

### Processing Units

| **Minimum processing units** | 20 |
| ---------------------------- | -- |

### Parameters

<table><thead><tr><th>Name</th><th width="397">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp.</td><td>true</td><td></td></tr><tr><td><code>returnType</code></td><td>The type of data to return. Must be one of "count", "id", or "all".</td><td>false</td><td>Default "all".</td></tr><tr><td><code>pageSize</code></td><td>The maximum number of messages to retrieve. Maximum 100.</td><td>false</td><td>Default 100.</td></tr><tr><td><code>pageStart</code></td><td>The start of the next page of the messages as a date string.</td><td>false</td><td>Default null.</td></tr><tr><td><code>messageIds</code></td><td>An array of message ids to retrieve.</td><td>false</td><td>Default null.</td></tr><tr><td><code>featureIds</code></td><td>An array of geometry ids to get the messages of.</td><td>false</td><td>Default null.</td></tr><tr><td><code>userId</code></td><td>The id of the user to get messages for.</td><td>false</td><td>Default null.</td></tr><tr><td><code>deleted</code></td><td>Boolean specifying whether deleted messages should be returned instead.</td><td>false</td><td>Default false.</td></tr><tr><td><code>tiles</code></td><td>Array of JSONs with required property "tileId" being a JSON with the "tileX", "tileY" and "zoom" of the tile for which to retrieve the messages.</td><td>false</td><td>Default null.</td></tr><tr><td><code>bounds</code></td><td>A JSON with required properties "xMin", "xMax", "yMin" and "yMax" denoting the longitude and latitude bounds of the messages to retrieve.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-messages/get-messages-on-a-feature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
